---
title: FileHandle.name
slug: Web/API/IDBMutableFile/name
tags:
  - API
  - Files
  - Non Standard
  - Property
  - Reference
  - WebAPI
---
<p>{{APIRef("File System API")}}{{non-standard_header}}</p>

<h2 id="Summary">Summary</h2>

<p>Provides the name of the file.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var name = <em>instanceOfFileHandle</em>.name
</pre>

<h2 id="Value">Value</h2>

<p>A string.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('FileSystem')}}</td>
   <td>{{Spec2('FileSystem')}}</td>
   <td>Draft Proposal.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("FileHandle")}}</li>
</ul>
